%global	majorver	2.14.5
%global	rpmminorver	.%(echo %preminorver | sed -e 's|^\\.\\.*||')
%global	fullver	%{majorver}%{?preminorver}


%global	gem_name	rspec-expectations

%global	gem_minitest	rubygem(minitest4)

%global	need_bootstrap_set	0

%{!?need_bootstrap:	%global	need_bootstrap	%{need_bootstrap_set}}

Summary: Rspec-2 expectations (should and matchers) 
Name:	 rubygem-%{gem_name}
Version: %{majorver}
Release: %mkrel 1
Group:	 Development/Ruby
License: MIT
URL:	 http://github.com/rspec/rspec-expectations
Source0: http://rubygems.org/gems/%{gem_name}-%{fullver}.gem
Patch0:	rubygem-rspec-expectations-2.14.5-be_truthy-alias.patch

BuildRequires:	ruby
BuildRequires:	rubygems-devel
Requires:	ruby
Requires:	rubygem-diff-lcs
Provides:	rubygem(%{gem_name}) = %{version}-%{release}
BuildArch:	noarch

%description
rspec-expectations adds `should` and `should_not` to every object and includes
RSpec::Matchers, a library of standard matchers.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.


%prep
%setup -q -c -T

TOPDIR=$(pwd)
mkdir tmpunpackdir
pushd tmpunpackdir

gem unpack %{SOURCE0}
cd %{gem_name}-%{version}

%patch0 -p2
sed -i -e "s@\(require 'test/unit'\)@gem 'minitest', '~> 4' ;\1@" \
	spec/spec_helper.rb

gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec
gem build %{gem_name}.gemspec
mv %{gem_name}-%{version}.gem $TOPDIR

popd
rm -rf tmpunpackdir

%build
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

# cleanups
rm -f %{buildroot}%{gem_instdir}/{.document,.gitignore,.travis.yml,.yardopts}

%files
%defattr(-,root,root,-)
%dir	%{gem_instdir}

%doc	%{gem_instdir}/License.txt
%doc	%{gem_instdir}/*.md
%{gem_instdir}/lib/

%exclude	%{gem_cache}
%{gem_spec}


%files	doc
%defattr(-,root,root,-)
%{gem_docdir}
%{gem_instdir}/features/
%exclude	%{gem_instdir}/spec/

%changelog
* Thu Oct 30 2014 bb <Bb> 2.14.5-1pclos2014
- import
